libgutenprintui2 API Reference 5.3.6-2026-02-01T02-18-9b0bdf87

Data Fields
_StpuiCurveClass Struct Reference

`#include <curve.h>`

## Data Fields
GtkDrawingAreaClass | parent_class
void(* | curve_type_changed )(StpuiCurve *curve)
void(* | _gtk_reserved1 )(void)
void(* | _gtk_reserved2 )(void)
void(* | _gtk_reserved3 )(void)
void(* | _gtk_reserved4 )(void)

## Field Documentation

## ◆ _gtk_reserved1

void(* _StpuiCurveClass::_gtk_reserved1) (void)

## ◆ _gtk_reserved2

void(* _StpuiCurveClass::_gtk_reserved2) (void)

## ◆ _gtk_reserved3

void(* _StpuiCurveClass::_gtk_reserved3) (void)

## ◆ _gtk_reserved4

void(* _StpuiCurveClass::_gtk_reserved4) (void)

## ◆ curve_type_changed

void(* _StpuiCurveClass::curve_type_changed) (StpuiCurve *curve)

## ◆ parent_class

GtkDrawingAreaClass _StpuiCurveClass::parent_class

The documentation for this struct was generated from the following file:

- include/gutenprintui2/curve.h